# H225_CallsAvailable Class Reference

`#include <h225.h>`

Inheritance diagram for H225_CallsAvailable:

List of all members.

## Public Types

enum | OptionalFields { e_group, e_carrier }

## Public Member Functions

| H225_CallsAvailable (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_calls
PASN_IA5String | m_group
H225_CarrierInfo | m_carrier

## Member Enumeration Documentation

enum H225_CallsAvailable::OptionalFields

Enumerator:

  e_group |
  e_carrier |

## Constructor & Destructor Documentation

H225_CallsAvailable::H225_CallsAvailable | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_CallsAvailable::GetDataLength | ( |  | ) | const

PBoolean H225_CallsAvailable::Decode | ( | PASN_Stream & | strm | ) |

void H225_CallsAvailable::Encode | ( | PASN_Stream & | strm | ) | const

void H225_CallsAvailable::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_CallsAvailable::Compare | ( | const PObject & | obj | ) | const

PObject* H225_CallsAvailable::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H225_CallsAvailable::m_calls

PASN_IA5String H225_CallsAvailable::m_group

H225_CarrierInfo H225_CallsAvailable::m_carrier

The documentation for this class was generated from the following file:

- h225.h